CNET también está disponible en español.

Ir a español

Don't show this again

Laptops

Here are the Macs that will work with MacOS Mojave

If your MacBook, iMac or Mac Pro is from 2011 or earlier, you might be out of luck.

wwdc-2018-macos-mojave
Screenshot by Matt Elliott/CNET

When Apple announced iOS 12 at WWDC 2018, it made a point of noting how many devices would be able to take advantage of the updated mobile operating system and its new features: All iPhones and iPads from 2013 to the present, just like iOS 11.

MacOS Mojave, Apple's upcoming desktop OS also announced at WWDC, did not receive the same attention. When it's available available this fall as a free software update for Macs, it will only run on systems from mid-2012 or later, plus 2010 and 2012 Mac Pro models with recommended Metal-capable graphics cards.

To be more specific: 

  • MacBook (Early 2015 or newer) 
  • MacBook Air (Mid 2012 or newer) 
  • MacBook Pro (Mid 2012 or newer) 
  • Mac Mini (Late 2012 or newer) 
  • iMac (Late 2012 or newer) 
  • iMac Pro (2017) 
  • Mac Pro (Late 2013, plus mid 2010 and mid 2012 models with recommend Metal-capable GPU)
Now playing: Watch this: Apple's new Mac OS Mojave features dark mode
1:13

By comparison, Apple's current MacOS, 10.13 High Sierra, can be run on

  • MacBook (Late 2009 or newer)
  • MacBook Pro (Mid 2010 or newer)
  • MacBook Air (Late 2010 or newer)
  • Mac Mini (Mid 2010 or newer)
  • iMac (Late 2009 or newer)
  • Mac Pro (Mid 2010 or newer)

If you're not sure what model or year your Mac is, here's how to find out

WWDC 2018: Everything Apple just announced

iOS 12: Siri shortcuts, group FaceTime and 'Memoji' Animoji of you